[Plugin] Select last entity drawn

[Plugin] Select last entity drawn

Postby Matt666 » Thu May 22, 2008 6:46 am

Hi !
At the request of Jim :) , Here is a script selects last entity drawn.
The original subject is here.

the first script places a shortcut in the plugins folder. It selects only the last entity.

Another script, from Didier Bur, places a shortcut in the context menu. It adds the last entity with the current selection.

The last script is for developpers. It works like autolisp function.
Code: Select all
Sketchup.active_model.entlast

With this last script, you can re-write the others !
Code: Select all
model = Sketchup.active_model
model.selection.add(model.entlast)

And
Code: Select all
model = Sketchup.active_model
model.selection.clear
model.selection.add(model.entlast)

;)

Thanks to Didier Bur and Rick Wilson !
0
Frenglish at its best !
My scripts

Matt666 
 

SketchUcation One-Liner Adverts

by Ad Machine » 5 minutes ago



Ad Machine 
Robot
 


 

Return to Plugins

Who is online

Users browsing this forum: No registered users and 28 guests

Visit our sponsors: